de.dhbwstuttgart.typeinference.typedeployment

## Class TypeInsertPoint

- java.lang.Object
- - de.dhbwstuttgart.typeinference.typedeployment.SourcePatchPoint
  - - de.dhbwstuttgart.typeinference.typedeployment.TypeInsertPoint

- All Implemented Interfaces:
    java.lang.Comparable<SourcePatchPoint>

      public class TypeInsertPoint
      extends SourcePatchPoint

  Stellt eine EinsetzungsmÃ¶glichkeit fÃ¼r einen Typ an einem (Typeable)Punkt im Syntaxbaum dar. Mehrere TypeInsertPoint's werden in einem TypInsertSet zusammengefasst.
  Author:
    janulrich

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private SyntaxTreeNode` | `node`
    `private TypeInsertable` | `point`
    `Type` | `type`

    - ### Fields inherited from class de.dhbwstuttgart.typeinference.typedeployment.SourcePatchPoint

      `resultSet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeInsertPoint(TypeInsertable insertPoint, SyntaxTreeNode insertNode, Type insertType, ResultSet resultSet)` Dieser Konstruktor erstellt einen TypInsertPoint

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `GenericTypeInsertable` | `getGenericTypeVarInsertNode()`
    `int` | `getInsertLength()`
    `SyntaxTreeNode` | `getInsertNode()`
    `IItemWithOffset` | `getInsertPoint()`
    `protected Type` | `getInsertType()`
    `int` | `getOffset()`
    `private TypeInsertable` | `getTIP()`
    `JavaCodeResult` | `getTypeInsertString()` Die Zeichenkette die durch diesen TypeInsertPoint eingesetzt wird.
    `JavaCodeResult` | `patch(java.lang.String fileContent, int additionalOffset)` Setzt den Typ dieses TypeInsertPoint in den Ã¼bergebenen Quelltext ein.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class de.dhbwstuttgart.typeinference.typedeployment.SourcePatchPoint

      `compareTo, getResultSet`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public Type type

    - #### point

          private TypeInsertable point

    - #### node

          private SyntaxTreeNode node

  - ### Constructor Detail

    - #### TypeInsertPoint

          public TypeInsertPoint(TypeInsertable insertPoint,
                                 SyntaxTreeNode insertNode,
                                 Type insertType,
                                 ResultSet resultSet)

      Dieser Konstruktor erstellt einen TypInsertPoint
      Parameters:
        `insertPoint` -
        `insertNode` - - muss das gleiche sein wie "insertPoint"
        `insertType` - - der einzusetzende Typ
        `resultSet` -
        `generics` - - die generischen Parameter des einzusetzenden Typs

  - ### Method Detail

    - #### patch

          public JavaCodeResult patch(java.lang.String fileContent,
                                      int additionalOffset)

      Setzt den Typ dieses TypeInsertPoint in den Ã¼bergebenen Quelltext ein.
      Specified by:
        `patch` in class `SourcePatchPoint`
      Parameters:
        `fileContent` - - der Quelltext
        `additionalOffset` - - Falls mehrere Typen in einen Quellcode eingesetzet werden muss die Verschiebung der Offsets mit einbezogen werden.
      Returns:

    - #### getInsertLength

          public int getInsertLength()

      Specified by:
        `getInsertLength` in class `SourcePatchPoint`

    - #### getOffset

          public int getOffset()

      Specified by:
        `getOffset` in class `SourcePatchPoint`
      Returns:
        Der Offset des TypeInsertPoints in dem geparsten Source fÃ¼r dessen Klasse er erstellt wurde.

    - #### getInsertType

          protected Type getInsertType()

    - #### getTypeInsertString

          public JavaCodeResult getTypeInsertString()

      Die Zeichenkette die durch diesen TypeInsertPoint eingesetzt wird. (Der Typ als String)
      Returns:

    - #### getInsertPoint

          public IItemWithOffset getInsertPoint()

      Returns:
        - Der Punkt (Knoten) im Syntaxbaum, fÃ¼r den dieser TypeInsertPoint gilt.

    - #### getInsertNode

          public SyntaxTreeNode getInsertNode()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getGenericTypeVarInsertNode

          public GenericTypeInsertable getGenericTypeVarInsertNode()

    - #### getTIP

          private TypeInsertable getTIP()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`